[arch-commits] Commit in pangomm/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Aug 29 17:11:14 EDT 2008


    Date: Friday, August 29, 2008 @ 17:11:14
  Author: jgc
Revision: 10679

pangomm 2.13.7

Added:
  pangomm/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-08-29 21:11:14 UTC (rev 10679)
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 5595 2008-07-18 21:58:26Z jgc $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=pangomm
+pkgver=2.13.7
+pkgrel=1
+pkgdesc="C++ bindings for pango"
+arch=(i686 x86_64)
+license=('LGPL')
+depends=('pango>=1.21.5' 'glibmm>=2.17.2' 'cairomm>=1.6.0')
+makedepends=('pkgconfig')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.13/${pkgname}-${pkgver}.tar.bz2)
+conflicts=('gtkmm<2.13.0')
+options=('!libtool')
+url="http://gtkmm.sourceforge.net/"
+md5sums=('148578fbfa7286de2141f3291d64d1e3')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
+  rm -rf ${pkgdir}/usr/share/devhelp || return 1
+}




More information about the arch-commits mailing list